<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <ui:decorate template="/prov_info_cons/_filterTemplate.xhtml">
        <ui:param name="assertion" value="#{assertion}"/>
        <ui:param name="currentRequest" value="#{currentReq}"/>
        <ui:param name="parent" value="#{parent}"/>
        <ui:define name="assertionDetails">
            <s:div styleClass="form-horizontal" id="substringsGrid">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="substringsGrid"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.AttributeName']}</ui:define>
                    <rich:autocomplete mode="client"
                                       autocompleteList="#{currentReq.getAvailableAttributeTypes()}"
                                       value="#{assertion.substringFilter.name}" minChars="1" autofill="false"
                                       selectFirst="false"
                                       required="true" id="substringsGrid"
                                       requiredMessage="The name of the attribute is required" layout="list"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="startIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.StartsWith']}</ui:define>
                    <h:inputText id="startIn" styleClass="form-control" value="#{assertion.substringFilter.initial}"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="containsIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Contains']}</ui:define>
                    <h:outputText value="#{messages['net.ihe.gazelle.hpd.ManageListOfStringHereInAssertionany']}"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="endIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.EndsWith']}</ui:define>
                    <h:inputText id="endIn" styleClass="form-control" value="#{assertion.substringFilter._final}"/>
                </s:decorate>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>
